be.fgov.ehealth.mediprima.uma.protocol.v1

## Class SearchUrgentMedicalAidAttestationResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.mediprima.uma.protocol.v1.SearchUrgentMedicalAidAttestationResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:04:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class SearchUrgentMedicalAidAttestationResponse
      extends StatusResponseType
      implements Serializable

  Search urgent medical aid attestation result(s)

  Java class for SearchUrgentMedicalAidAttestationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SearchUrgentMedicalAidAttestationResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="Attestation" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}AttestationType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchUrgentMedicalAidAttestationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AttestationType>` | `getAttestations()` Gets the value of the attestations property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchUrgentMedicalAidAttestationResponse

          public SearchUrgentMedicalAidAttestationResponse()

  - ### Method Detail

    - #### getAttestations

          public List<AttestationType> getAttestations()

      Gets the value of the attestations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attestations property.

      For example, to add a new item, do as follows:

              getAttestations().add(newItem);

      Objects of the following type(s) are allowed in the list `AttestationType`

Connector Packaging PHYSIOTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.